{"openapi":"3.0.4","info":{"title":"Cancel / Clear data from a previously run query","description":"Cancel the query (if still running) / clear the data (if already returned)\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 401 Unauthorized\n- 403 Forbidden\n- 404 Not Found : The requested query result doesn't exist and is not running or the calling user did not run the query.\n","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/honeycomb"}],"paths":{"/api/SqlBackground/{executionId}":{"delete":{"tags":["Sql Background Execution"],"summary":"Cancel / Clear data from a previously run query","description":"Cancel the query (if still running) / clear the data (if already returned)\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 401 Unauthorized\n- 403 Forbidden\n- 404 Not Found : The requested query result doesn't exist and is not running or the calling user did not run the query.\n","operationId":"CancelQuery","parameters":[{"name":"executionId","in":"path","description":"ExecutionId returned when starting the query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/BackgroundQueryCancelResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/BackgroundQueryCancelResponse"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/BackgroundQueryCancelResponse"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}